gr::gfdm::detect_frame_energy_kernel_cl Class Reference

Perform rough energy based synchronization for TDD Calculate Energy over average_len samples and put out flag if previous_energy < alpha * current_energy. Flag is returned for the first such block. More...

`#include <detect_frame_energy_kernel_cl.h>`

## Public Types

typedef std::complex< float > | gfdm_complex
typedef boost::shared_ptr< detect_frame_energy_kernel_cl > | sptr

## Public Member Functions

| detect_frame_energy_kernel_cl (float alpha, int average_len)
| ~detect_frame_energy_kernel_cl ()
long | detect_frame (const gfdm_complex *p_in, const int ninput_items)
int | average_len ()
float | alpha ()
void | set_alpha (float alpha)
void | set_initial_energy_value (const float e)

## Detailed Description

Perform rough energy based synchronization for TDD Calculate Energy over average_len samples and put out flag if previous_energy < alpha * current_energy. Flag is returned for the first such block.

## Member Typedef Documentation

## gfdm_complex

typedef std::complex<float> gr::gfdm::detect_frame_energy_kernel_cl::gfdm_complex

## sptr

typedef boost::shared_ptr<detect_frame_energy_kernel_cl> gr::gfdm::detect_frame_energy_kernel_cl::sptr

## Constructor & Destructor Documentation

## detect_frame_energy_kernel_cl()

gr::gfdm::detect_frame_energy_kernel_cl::detect_frame_energy_kernel_cl | ( | float | alpha,
|  | int | average_len
| ) |  |

## ~detect_frame_energy_kernel_cl()

gr::gfdm::detect_frame_energy_kernel_cl::~detect_frame_energy_kernel_cl | ( |  | ) |

## Member Function Documentation

## alpha()

float gr::gfdm::detect_frame_energy_kernel_cl::alpha | ( |  | ) |

inline

Referenced by set_alpha().

## average_len()

int gr::gfdm::detect_frame_energy_kernel_cl::average_len | ( |  | ) |

inline

## detect_frame()

long gr::gfdm::detect_frame_energy_kernel_cl::detect_frame | ( | const gfdm_complex * | p_in,
|  | const int | ninput_items
| ) |  |

## set_alpha()

void gr::gfdm::detect_frame_energy_kernel_cl::set_alpha | ( | float | alpha | ) |

inline

References alpha().

## set_initial_energy_value()

void gr::gfdm::detect_frame_energy_kernel_cl::set_initial_energy_value | ( | const float | e | ) |

inline

The documentation for this class was generated from the following file:

- detect_frame_energy_kernel_cl.h